Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Interface PurchaseQuote

All Known Implementing Classes:
  PurchaseQuoteImpl

public interface PurchaseQuote
extends java.io.Serializable

Represents a quote from a supplier in response to a query-for-price-and-availability (`QPA`).

Method Summary
`java.lang.String` | `description()` Returns a description for the product quoted.
`java.lang.String` | `productId()` Returns the identifier for the product quoted.
`java.util.Calendar` | `promiseDate()` Returns the date promised by the supplier.
`java.util.Calendar` | `qpaCreationDate()` Returns the date the `QPA` associated with this quote was created.
`java.util.Calendar` | `quoteDate()` Returns the date this quote was generated by the supplier.
`long` | `quotedQty()` Returns the quantity of the product promised by the supplier.
`Money` | `quotedUnitPrice()` Returns the unit price quoted by the supplier.
`java.lang.String` | `quoteId()` Returns the identifier for this quote.
`java.lang.String` | `requestId()` Returns the identifier for the `QPA` that precipitated this quote.
`java.lang.String` | `supplierName()` Returns the name of the supplier who sent this quote.
`Money` | `total()` Returns the total cost for the quote.

Method Detail

### requestId

    public java.lang.String requestId()

  Returns the identifier for the `QPA` that precipitated this quote.

### quoteId

    public java.lang.String quoteId()

  Returns the identifier for this quote.

### qpaCreationDate

    public java.util.Calendar qpaCreationDate()

  Returns the date the `QPA` associated with this quote was created.

### quoteDate

    public java.util.Calendar quoteDate()

  Returns the date this quote was generated by the supplier.

### supplierName

    public java.lang.String supplierName()

  Returns the name of the supplier who sent this quote.

### productId

    public java.lang.String productId()

  Returns the identifier for the product quoted.

### description

    public java.lang.String description()

  Returns a description for the product quoted.

### quotedQty

    public long quotedQty()

  Returns the quantity of the product promised by the supplier.

### quotedUnitPrice

    public Money quotedUnitPrice()

  Returns the unit price quoted by the supplier.

### promiseDate

    public java.util.Calendar promiseDate()

  Returns the date promised by the supplier.

### total

    public Money total()

  Returns the total cost for the quote.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved